=
Prev | Orchestra Opcodes and Operators | Next

## =

= — Performs a simple assignment.

## Syntax

    ares = xarg

    ires = iarg

    kres = karg

## Description

Performs a simple assignment.

## Initialization

= (simple assignment) - Put the value of the expression iarg (karg, xarg) into the named result. This provides a means of saving an evaluated result for later use.

## Examples

Here is an example of the assign opcode. It uses the file assign.csd.

Example 17. Example of the assign opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    ; Audio out   Audio in
    -odac           -iadc    ;;;RT audio I/O
    ; For Non-realtime ouput leave only the line below:
    ; -o assign.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>

    ; Initialize the global variables.
    sr = 44100
    kr = 4410
    ksmps = 10
    nchnls = 1

    ; Instrument #1.
    instr 1
      ; Assign a value to the variable i1.
      i1 = 1234

      ; Print the value of the i1 variable.
      print i1
    endin

    </CsInstruments>
    <CsScore>

    ; Play Instrument #1 for one second.
    i 1 0 1
    e

    </CsScore>
    </CsoundSynthesizer>

Its output should include a line like this:

    instr 1:  i1 = 1234.000

## See Also

divz, init, tival

## Credits

Example written by Kevin Conder.

Prev | Up | Next
/ | Home | ==